OCI8 for XAMPP 7.1.1

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

OCI8 for XAMPP 7.1.1

Postby Hobadee » 26. April 2017 06:40

I'm having a hell of a time getting OCI8 to work on XAMPP 7.1.1 on OSX 10.12.4. I have Googled all over the place and searched these forums and I can't find out how to get it working.

First, I ran the following command:
Code: Select all
sudo /Applications/XAMPP/xamppfiles/xampp oci8


This added the proper line (extension=oci8.so) to my php.ini, but whenever I access a page, I get the following error:
Code: Select all
....PHP Fatal error:  Uncaught Error: Call to undefined function oci_connect() in ....


I was seeing errors in my Apache error log stating something to the effect of "can't find oci8.so", but it doesn't seem to be throwing those anymore.

I downloaded versions 11.2.0.3.0-x32, 11.2.0.3.0-x64, 12.1.0.2.0-x32, and 12.1.0.2.0-x63 of 'instantclient' from Oracle and tried them all instead of the XAMPP bundled version, and none of them worked. I have also tried copying them to '/usr/local/lib'.

I saw somewhere that I should use
Code: Select all
sudo pecl install oci8
to compile the actual 'oci8.so' file. I tried this, but I receive an error
Code: Select all
checking PHP version... Unknown option: n
Usage: head [-options] <url>...
...<snip>...
configure: error: failed to detect PHP version, please report
ERROR: `/private/tmp/pear/temp/oci8/configure --with-php-config=/Applications/XAMPP/xamppfiles/bin/php-config --with-oci8' failed


What's going on here and how to I get OCI working?!

Please help! Much thanks in advance!
Hobadee
 
Posts: 1
Joined: 26. April 2017 06:17
XAMPP version: 7.1.1
Operating System: OSX 10.12.4

Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 6 guests